org.keycloak.forms.account.freemarker.model

## Class AccountFederatedIdentityBean.FederatedIdentityEntry

- java.lang.Object
- - org.keycloak.forms.account.freemarker.model.AccountFederatedIdentityBean.FederatedIdentityEntry

- All Implemented Interfaces:
    OrderedModel
  Enclosing class:
    AccountFederatedIdentityBean

      public static class AccountFederatedIdentityBean.FederatedIdentityEntry
      extends Object
      implements OrderedModel

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.keycloak.models.OrderedModel

      `OrderedModel.OrderedModelComparator<OM extends OrderedModel>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FederatedIdentityEntry(FederatedIdentityModel federatedIdentityModel, String displayName, String providerId, String providerName, String guiOrder)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDisplayName()`
    `String` | `getGuiOrder()`
    `String` | `getProviderId()`
    `String` | `getProviderName()`
    `String` | `getUserId()`
    `String` | `getUserName()`
    `boolean` | `isConnected()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FederatedIdentityEntry

          public FederatedIdentityEntry(FederatedIdentityModel federatedIdentityModel,
                                        String displayName,
                                        String providerId,
                                        String providerName,
                                        String guiOrder)

  - ### Method Detail

    - #### getProviderId

          public String getProviderId()

    - #### getProviderName

          public String getProviderName()

    - #### getUserId

          public String getUserId()

    - #### getUserName

          public String getUserName()

    - #### isConnected

          public boolean isConnected()

    - #### getGuiOrder

          public String getGuiOrder()

      Specified by:
        `getGuiOrder` in interface `OrderedModel`

    - #### getDisplayName

          public String getDisplayName()

Copyright © 2021 JBoss by Red Hat. All rights reserved.